<?php
/*$keyring = "res/file/.gnupg";
putenv("GNUPGHOME=$keyring");
$gpg  = new gnupg();

$gpg->seterrormode(gnupg::ERROR_EXCEPTION);
try {
	$pubkey=file_get_contents('res/file/key.pub');
	$pubkey_info = $gpg->import($pubkey);
	var_dump($pubkey_info);
} catch (Exception $e) {
	echo 'ERROR: ' . $e->getMessage();
}*/
$resource_path="res/";
$js_path=$resource_path."js/";
$css_path=$resource_path."css/";
$img=$resource_path."images/";

?>

<!DOCTYPE html>
<!--[if lt IE 7 ]> <html lang="en" class="ie6"> <![endif]-->
<!--[if IE 7 ]>    <html lang="en" class="ie7"> <![endif]-->
<!--[if IE 8 ]>    <html lang="en" class="ie8"> <![endif]-->
<!--[if IE 9 ]>    <html lang="en" class="ie9"> <![endif]-->
<!--[if (gt IE 9)|!(IE)]><!--> <html lang="en"> <!--<![endif]-->
<head>
<meta charset="utf-8" />
<meta name="viewport"
	content="width=device-width, initial-scale=1, minimum-scale=1, maximum-scale=2">
<title>Share Your "GPG" Fingerprint</title>
<meta name="description" content="" />
<link rel="stylesheet" href="<?php echo $css_path?>jquery.idealforms.css" media="screen" />
<link rel="stylesheet" href="<?php echo $css_path?>normalize.css">
<link rel="stylesheet" href="<?php echo $css_path?>form.css">
<link rel="stylesheet" href="<?php echo $css_path?>tabs.css">
</head>
<body>
<div id="tabs" class="tabs">
    <nav>
        <ul>
            <li><a href="#section-it"><span>IT</span></a></li>
            <li><a href="#section-en"><span>EN</span></a></li>
        </ul>
    </nav>
	<div class="content">
	<section id="section-it">
		<h1>ShareYourFingerprint</h1>
		<p>Hai sempre guardato con malcelata invidia chi si presenta ai <a href="http://www.wikiwand.com/en/Key_signing_party" target="_blank">keysigning party</a> con tanti fogliettini da distribuire agli astanti con scritto fingerprint e ID? Non hai assolutamente idea di cosa stiamo parlando, ma vuoi imparare a usare GnuPG per crittare le tue mail e contribuire a costruire una rete di fiducia con i tuoi amici/compagni?<br />
		Questo piccolo tool, debitamente compilato, ti permette di ottenere un .pdf pronto per la stampa con tanti piccoli “biglietti da visita” da distribuire ai tuoi contatti.<br />
		Vuoi saperne di più su come organizzare un keysigning party? leggi <a href="http://herrons.com/keysigning-party-guide/" target="_blank">qui</a><br />
		Vuoi imparare qualcosa sulle buone pratiche di openPGP? leggi <a href="https://we.riseup.net/riseuplabs+paow/openpgp-best-practices" target="_blank">qui</a></p>
	</section>
	<section id="section-en">
		<h1>ShareYourFingerprint</h1>
		<p>Do you ever watched with barely concealed envy the ones who present themselves at <a href="http://www.wikiwand.com/en/Key_signing_party" target="_blank">keysigning parties</a> with many slips of paper to distribute to bystanders which report their fingerprint and ID? Do you have absolutely no idea of what we're talking about, but you want to learn GnuPG to crypt your emails and contribute in the construction of a web of trust between your friends/comrades?<br />
This tiny little form, properly filled, gives you a print-ready .pdf with many little "visiting cards" that you can distribute to your contacts.<br />
Do you want to know more about organizing a keysigning party? Read <a href="http://herrons.com/keysigning-party-guide/" target="_blank">here</a><br />
Do you want to learn something on openPGP good practices? Read <a href="https://we.riseup.net/riseuplabs+paow/openpgp-best-practices" target="_blank">here</a></p>
	</section>
	</div>
	</div>
	<div class="content">
		<div class="idealsteps-container">
			<nav class="idealsteps-nav"></nav>
			<form action="print.php" method="post" novalidate autocomplete="off" class="idealforms">
				<div class="idealsteps-wrap">
					<section class="idealsteps-step">
						<div class="field">
							<label class="main">Nickname:</label> 
							<input name="nickname" type="text" data-idealforms-ajax="ajax.php"> 
							<span class="error"></span>
						</div>
						<div class="field">
							<label class="main">User ID(s):</label> 
							<input name="user_ids" type="email"> 
							<span class="error"></span>
						</div>
						<div class="field">
							<label class="main">Fingerprint:</label> 
							<input name="fingerprint" type="text"> 
							<span class="error"></span>
						</div>
						<div class="field">
							<label class="main">Key Size:</label>
							<input name="key_size" type="text">
							<span class="error"></span>
						</div>
						<div class="field">
							<label class="main">Key server:</label>
							<input name="key_server" type="text">
							<span class="error"></span>
						</div>
						<div class="field">
							<label class="main">Expire Date:</label> 
							<input name="expire_date" type="text" placeholder="yyyy-mm-dd" class="datepicker"> 
							<span class="error"></span>
						</div>
						<!-- <div class="field">
							<label class="main">Public Key:</label>
							<input id="public_key" name="public_key" type="file"> 
							<span class="error"></span>
						</div>-->
					</section>
					<div class="field buttons">
						<label class="main">&nbsp;</label>
						<button type="submit" class="submit">Submit</button>
					</div>
				</div>
				<span id="invalid"></span>
			</form>
		</div>
	</div>
	<script src="<?php echo $js_path?>lib/jquery.min.js"></script>
	<script src="<?php echo $js_path?>lib/jquery-ui.min.js"></script>
	<script src="<?php echo $js_path?>lib/jquery.idealforms.js"></script>
	<script src="<?php echo $js_path?>jq-idealforms-extend-validate.js"></script>
	<script src="<?php echo $js_path?>form.js"></script>
	<script src="<?php echo $js_path?>cbpFWTabs.js"></script>
	<script>
    	new CBPFWTabs( document.getElementById( 'tabs' ) );
	</script>
</body>
</html>
